#
# spec file for package lprold (Version 3.0.1)
# 
# Copyright  (c)  1998  S.u.S.E. GmbH  Fuerth, Germany.
#
# please send bugfixes or comments to feedback@suse.de.
#

Vendor:       S.u.S.E. GmbH, Fuerth, Germany
Distribution: S.u.S.E. Linux 5.3 (i386)
Name:         lprold
Release:      14
Copyright:    1983, 1991 The Regents of the University of California.
Group: 
Provides:     lpr lpr-tlr 
Requires: 
Conflicts:    plp
Autoreqprov:  on
Packager:     feedback@suse.de

Version:      3.0.1
Summary:      BSD Print Spooling System
Source: lpr-tlr-971016.tar.gz
Patch: lpr-tlr-971016.dif
%description
This is the Linux version of the BSD-compatible printer spooling system.
The lpd binary included in this package expects to find TCP/IP running.

Authors:
--------
    Thomas Roessler <roessler@guug.de>

%prep
%setup -n lpr-tlr-971016
%patch
if [ -f Imakefile ] ; then xmkmf -a ; fi
%build
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux compile
else
    make
fi ; 
%install
if [ -f Makefile.Linux ] ; then
    make -f Makefile.Linux install
else
    make install
fi ; 
if [ -f Imakefile ] ; then make install.man ; fi
Check
%post
echo "Updating etc/rc.config..."
if [ -x bin/fillup ] ; then
  bin/fillup -q -d = etc/rc.config var/adm/fillup-templates/rc.config.lprold
else
  echo "ERROR: fillup not found. This should not happen. Please compare"
  echo "etc/rc.config and var/adm/fillup-templates/rc.config.lprold and"
  echo "update by hand."
fi
%files
%docdir /usr/X11R6/man
%docdir /usr/openwin/man
%docdir /usr/doc/packages/lprold
%dir /var/spool/lp1
%config /etc/printcap
%config /sbin/init.d/lpd
/sbin/init.d/rc2.d/K20lpd
/sbin/init.d/rc2.d/S20lpd
/sbin/init.d/rc3.d/K20lpd
/sbin/init.d/rc3.d/S20lpd
/usr/bin/lpq
/usr/bin/lpr
/usr/bin/lprm
/usr/bin/lptest
%doc /usr/man/man1/lpr.1.gz
%doc /usr/man/man1/lprm.1.gz
%doc /usr/man/man1/lptest.1.gz
%doc /usr/man/man5/printcap.5.gz
%doc /usr/man/man8/lpc.8.gz
%doc /usr/man/man8/lpd.8.gz
%doc /usr/man/man8/pac.8.gz
/usr/sbin/lpc
/usr/sbin/lpd
/usr/sbin/lpf
/usr/sbin/pac
/dev/printer
/var/adm/fillup-templates/rc.config.lprold
/usr/doc/packages/lprold

